Update order

Update an order by ID

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Path parameters

idstringRequired

Request

Body
namestringOptional
startDatedatetimeOptional
endDatedatetime or nullOptional
subscriptionTermsinteger or nullOptional
creationStateenumOptional
Allowed values:
billingAnchordouble or nullOptional
paymentTermsstring or nullOptional
externalIdstring or nullOptional
metadatamap from strings to any or nullOptional
billingCustomerIdstring or nullOptional
billingContactIdslist of stringsOptional

Response

200
idstring
customerIdstring
billingCustomerIdstring or null
billingContactIdslist of strings
createdAtdatetime
updatedAtdatetime
endDatedatetime or null
namestring
startDatedatetime
subscriptionTermsinteger or null
billedAmountNoTaxdouble
billedTaxdouble
estimatedTaxdouble
orderAmountdouble
pendingBillingAmountdouble
totalAmountdouble
totalBilledAmountdouble
creationStateenum
Allowed values:
paymentTermsstring or null
numberdouble
metadatamap from strings to any or null
showBankDetailsboolean or null
versioninteger

Errors